Bug 1023773 - Review Request: golang-github-goerlang-node - An implementation of Erlang node
Review Request: golang-github-goerlang-node - An implementation of Erlang node
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vincent Batts
Fedora Extras Quality Assurance
:
Depends On: 1010713
Blocks: 1023776
  Show dependency treegraph
 
Reported: 2013-10-27 15:08 EDT by Peter Lemenkov
Modified: 2016-04-28 11:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-28 11:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec tweaks (2.00 KB, patch)
2014-07-21 14:57 EDT, Vincent Batts
no flags Details | Diff

  None (edit)
Description Peter Lemenkov 2013-10-27 15:08:42 EDT
Spec URL: http://peter.fedorapeople.org/golang-github-goerlang-node.spec
SRPM URL: http://peter.fedorapeople.org/golang-github-goerlang-node-0-0.1.20130317gitf934865.fc21.src.rpm
Description: An implementation of Erlang node
Fedora Account System Username: peter
Comment 1 Vincent Batts 2014-07-21 14:57:14 EDT
Created attachment 919734 [details]
spec tweaks

comments to accommodate the attached patch:
* remove boilerplate, and use golang provided rpm macros
* include the golang buildrequires
* include the additional golang library dependencies
* preserve timestamps in copy
* include the %check in hopes upstream provides tests
* remove already owned directories

Also, it may be beneficial for uses to include the './examples' directory. Perhaps as %doc or just in  its current path.

Note You need to log in before you can comment on or make changes to this bug.